import { Section } from "./base/section";

interface GlossaryTableProps {
  glossary: Record<string, string[]>;
}

export function GlossaryTable(
  { glossary }: GlossaryTableProps,
) {
  return <Section type="glossary" componentId="glossary" title="Glossary">
    <div className="glossary-content">
      <dl>
        {Object.entries(glossary).map(([term, defs]) => {
          return <div key={term}>
            <dt>{term}</dt>
            {defs.map((d, i) => <dd key={i}>{d}</dd>)}
          </div>
        })}
      </dl>
    </div>
  </Section>
}

